## pgi 0.9.6.3

=== Makefile ===
# $Progeny: Makefile,v 1.176 2002/04/23 22:32:42 branden Exp $

SHELL=	/bin/sh -e
# XXX: make this configurable at some point

prefix?=	/usr
exec_prefix?=	${prefix}
bindir?=	${exec_prefix}/bin
mandir?=	${datadir}/man
datadir?=	${prefix}/share

ifndef OPTIONS_FILE_SOURCED

# for install-pgi rule (package building) only; otherwise this is set in the options file
ARCH=	$(shell dpkg --print-architecture)
ETC_DIR=/etc/pgi/custom
PGI_DIR=${prefix}/share/pgi

all:
	@echo "You must source $(ETC_DIR)/options in your shell before proceeding." >&2
	@echo "If you are not using the pgi-build command, you probably should be." >&2
	@exit 1
else

ifdef INSTALLER_ONLY
ARCHIVE=
else
ARCHIVE=archive
endif

ifdef DEBIAN_DEBOOTSTRAP
DEBOOTSTRAP_BUILD_DIR=
DEBOOTSTRAP_INSTALL_DIR=
DEBOOTSTRAP_RULE=
else
DEBOOTSTRAP_SOURCE_DIR=debootstrap
DEBOOTSTRAP_BUILD_DIR=${TDIR}/debootstrap-source
DEBOOTSTRAP_INSTALL_DIR=${TDIR}/debootstrap
DEBOOTSTRAP_RULE=${TDIR}/debootstrap-stamp
export DEBOOTSTRAP_INSTALL_DIR
endif

SUBDIR=		stage0 stage1 images/${ARCH} ${ARCHIVE}

all: ${DEBOOTSTRAP_RULE} _all_recursive

_all_recursive:
	@for dir in ${SUBDIR}; do					\
		${MAKE} -C $$dir "_THISDIR_=$${dir}/";			\
	done

# Run make clean in all subdirs with a Makefile
clean distclean:
	@for dir in ${SUBDIR}; do					\
		${MAKE} -C $$dir "_THISDIR_=$${dir}/" $@;		\
	done
ifdef DEBOOTSTRAP_SOURCE_DIR
	rm -rf ${DEBOOTSTRAP_BUILD_DIR} ${DEBOOTSTRAP_INSTALL_DIR}
	rm -f ${DEBOOTSTRAP_RULE}
endif

ifdef DEBOOTSTRAP_SOURCE_DIR
# The dependency on debootstrap's Makefile is to help make determine whether or
# not the debootstrap build directory needs to be updated.
${DEBOOTSTRAP_RULE}: ${DEBOOTSTRAP_SOURCE_DIR}/Makefile
	-rm -r ${DEBOOTSTRAP_BUILD_DIR} 2> /dev/null
	cp -a ${DEBOOTSTRAP_SOURCE_DIR} ${DEBOOTSTRAP_BUILD_DIR}
	${MAKE} -C ${DEBOOTSTRAP_BUILD_DIR}
	${MAKE} -C ${DEBOOTSTRAP_BUILD_DIR} DESTDIR=${DEBOOTSTRAP_INSTALL_DIR} install
	touch $@
endif

endif	# ifndef OPTIONS_FILE_SOURCED

###############################################################################
# Install build files (mainly for Debian packaging)

install-pgi:
	install -m 755 -d $(DESTDIR)$(PGI_DIR)
	if ! head -1 debian/changelog | cut -d\( -f2 | cut -d\) -f1 > \
	$(DESTDIR)$(PGI_DIR)/pgi_version; then \
		echo "ERROR: unable to determine PGI version from debian/changelog!"; \
		exit 1; \
	fi

	cd doc && ${MAKE}
	install -m 755 -d $(DESTDIR)$(datadir)/doc/pgi
	install -m 644 README $(DESTDIR)$(datadir)/doc/pgi
	install -m 644 doc/guide.html $(DESTDIR)$(datadir)/doc/pgi
	install -m 644 doc/guide.txt $(DESTDIR)$(datadir)/doc/pgi
	install -m 644 doc/usermanual.html $(DESTDIR)$(datadir)/doc/pgi
	install -m 644 doc/usermanual.txt $(DESTDIR)$(datadir)/doc/pgi
	install -m 755 -d $(DESTDIR)$(mandir)/man1
	install -m 644 doc/pgi-build.1 $(DESTDIR)$(mandir)/man1
	install -m 755 -d $(DESTDIR)$(ETC_DIR)
	install -m 755 -d $(DESTDIR)$(bindir)
	install -m 755 -d $(DESTDIR)$(PGI_DIR)
	install -m 644 Makefile $(DESTDIR)$(PGI_DIR)
	install -d $(DESTDIR)$(ETC_DIR)
	install -m 644 options $(DESTDIR)$(ETC_DIR)
	install -m 755 pgi-build $(DESTDIR)$(bindir)
	install -m 644 busybox.h $(DESTDIR)$(PGI_DIR)/busybox.h
	install -m 755 busybox.mkll $(DESTDIR)$(PGI_DIR)/busybox.mkll
	install -m 755 busybox.sh $(DESTDIR)$(PGI_DIR)/busybox.sh

#	archive dir
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/potato
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/potato/alpha
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/potato/arm
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/potato/i386
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/potato/m68k
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/potato/powerpc
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/potato/sparc
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/slink
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/slink/alpha
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/slink/arm
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/slink/i386
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/slink/m68k
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/slink/powerpc
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/slink/sparc
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato/sparc-etc
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/slink
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/woody
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/potato
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/slink
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/woody
	install -m 755 -d $(DESTDIR)$(PGI_DIR)/

	install -m 644 archive/Makefile $(DESTDIR)$(PGI_DIR)/archive/Makefile
	install -m 644 archive/debian-cd/Makefile $(DESTDIR)$(PGI_DIR)/archive/debian-cd/Makefile
	install -m 644 archive/debian-cd/README $(DESTDIR)$(PGI_DIR)/archive/debian-cd/README
	install -m 644 archive/debian-cd/README.devel $(DESTDIR)$(PGI_DIR)/archive/debian-cd/README.devel
	install -m 755 archive/debian-cd/build.sh $(DESTDIR)$(PGI_DIR)/archive/debian-cd/build.sh
	install -m 755 archive/debian-cd/build_all.sh $(DESTDIR)$(PGI_DIR)/archive/debian-cd/build_all.sh
	install -m 644 archive/debian-cd/changelog $(DESTDIR)$(PGI_DIR)/archive/debian-cd/changelog
	install -m 644 archive/debian-cd/copyright $(DESTDIR)$(PGI_DIR)/archive/debian-cd/copyright
	install -m 644 archive/debian-cd/tasks/Debian_potato $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/Debian_potato
	install -m 644 archive/debian-cd/tasks/Debian_sid $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/Debian_sid
	install -m 644 archive/debian-cd/tasks/Debian_woody $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/Debian_woody
	install -m 644 archive/debian-cd/tasks/README $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/README
	install -m 644 archive/debian-cd/tasks/base-woody $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/base-woody
	install -m 644 archive/debian-cd/tasks/empty $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/empty
	install -m 644 archive/debian-cd/tasks/exclude-potato $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/exclude-potato
	install -m 644 archive/debian-cd/tasks/exclude-src-potato $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/exclude-src-potato
	install -m 644 archive/debian-cd/tasks/forcd1 $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/forcd1
	install -m 644 archive/debian-cd/tasks/interesting-fromcd23 $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/interesting-fromcd23
	install -m 644 archive/debian-cd/tasks/interesting-redhat $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/interesting-redhat
	install -m 644 archive/debian-cd/tasks/interesting-tasks-potato $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/interesting-tasks-potato
	install -m 644 archive/debian-cd/tasks/kernel-related-potato $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/kernel-related-potato
	install -m 644 archive/debian-cd/tasks/linuxexpoamsterdam2001 $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/linuxexpoamsterdam2001
	install -m 644 archive/debian-cd/tasks/linuxtag2000 $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/linuxtag2000
	install -m 644 archive/debian-cd/tasks/popularity-contest $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/popularity-contest
	install -m 644 archive/debian-cd/tasks/popularity-contest-potato $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/popularity-contest-potato
	install -m 644 archive/debian-cd/tasks/popularity-contest-woody $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/popularity-contest-woody
	install -m 644 archive/debian-cd/tasks/task-woody $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/task-woody
	install -m 644 archive/debian-cd/tasks/unexclude-CD2-potato $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/unexclude-CD2-potato
	install -m 644 archive/debian-cd/tasks/xservers-XFree3 $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tasks/xservers-XFree3
	install -m 755 archive/debian-cd/tools/add-bin-doc $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/add-bin-doc
	install -m 755 archive/debian-cd/tools/add_dirs $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/add_dirs
	install -m 755 archive/debian-cd/tools/add_files $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/add_files
	install -m 755 archive/debian-cd/tools/add_packages $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/add_packages
	install -m 755 archive/debian-cd/tools/add_secured $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/add_secured
	install -m 755 archive/debian-cd/tools/apt-selection $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/apt-selection
	install -m 755 archive/debian-cd/tools/boot/potato/boot-alpha $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato/boot-alpha
	install -m 755 archive/debian-cd/tools/boot/potato/boot-arm $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato/boot-arm
	install -m 755 archive/debian-cd/tools/boot/potato/boot-i386 $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato/boot-i386
	install -m 644 archive/debian-cd/tools/boot/potato/boot-i386.calc $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato/boot-i386.calc
	install -m 755 archive/debian-cd/tools/boot/potato/boot-m68k $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato/boot-m68k
	install -m 644 archive/debian-cd/tools/boot/potato/boot-m68k.calc $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato/boot-m68k.calc
	install -m 755 archive/debian-cd/tools/boot/potato/boot-powerpc $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato/boot-powerpc
	install -m 644 archive/debian-cd/tools/boot/potato/boot-powerpc.calc $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato/boot-powerpc.calc
	install -m 755 archive/debian-cd/tools/boot/potato/boot-sparc $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato/boot-sparc
	install -m 644 archive/debian-cd/tools/boot/potato/boot-sparc.calc $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato/boot-sparc.calc
	install -m 755 archive/debian-cd/tools/boot/potato/post-boot-alpha $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato/post-boot-alpha
	install -m 755 archive/debian-cd/tools/boot/potato/post-boot-powerpc $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato/post-boot-powerpc
	install -m 644 archive/debian-cd/tools/boot/potato/sparc-etc/boot-msg.txt $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato/sparc-etc/boot-msg.txt
	install -m 644 archive/debian-cd/tools/boot/potato/sparc-etc/debian.txt $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato/sparc-etc/debian.txt
	install -m 644 archive/debian-cd/tools/boot/potato/sparc-etc/silo.conf $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/potato/sparc-etc/silo.conf
	install -m 755 archive/debian-cd/tools/boot/woody/boot-alpha $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/woody/boot-alpha
	install -m 755 archive/debian-cd/tools/boot/woody/boot-arm $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/woody/boot-arm
	install -m 755 archive/debian-cd/tools/boot/woody/boot-hppa $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/woody/boot-hppa
	install -m 755 archive/debian-cd/tools/boot/woody/boot-i386 $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/woody/boot-i386
	install -m 755 archive/debian-cd/tools/boot/woody/boot-ia64 $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/woody/boot-ia64
	install -m 755 archive/debian-cd/tools/boot/woody/boot-m68k $(DESTDIR)$(PGI_DIR)/archive/debian-cd/tools/boot/woody/boot-m68k
