=== archive/Makefile ===
# $Progeny: Makefile,v 1.27 2002/04/22 21:14:53 branden Exp $

SHELL=			/bin/sh -e

MKISOFS_OPTS=		-L -l -r

ifeq ($(ARCH),i386)
MKISOFS_BOOT_OPTS=	-b install-2.88
endif
ifeq ($(ARCH),ia64)
MKISOFS_BOOT_OPTS=	-no-emul-boot -b install
endif

all:
	$(MAKE) -C debian-cd distclean CODENAME=$(SUITE) MIRROR=$(PGI_BUILD_MIRROR)
	$(MAKE) -C debian-cd status CODENAME=$(SUITE) MIRROR=$(PGI_BUILD_MIRROR)
ifeq ($(INCLUDE_SOURCE_PACKAGES),1)
	$(MAKE) -C debian-cd list TASK=$(ETC_DIR)/package_list SIZELIMIT1=$(shell echo $$(( 650*1024*1024 - $$(cat $(TDIR)/installer-files.fs.size) )) ) CODENAME=$(SUITE) MIRROR=$(PGI_BUILD_MIRROR)
else
	$(MAKE) -C debian-cd bin-list TASK=$(ETC_DIR)/package_list SIZELIMIT1=$(shell echo $$(( 650*1024*1024 - $$(cat $(TDIR)/installer-files.fs.size) )) ) CODENAME=$(SUITE) MIRROR=$(PGI_BUILD_MIRROR)
endif
	$(MAKE) -C debian-cd bin-images CODENAME=$(SUITE) MIRROR=$(PGI_BUILD_MIRROR) MKISOFS_OPTS="$(MKISOFS_OPTS)" MKISOFS_BOOT_OPTS="$(MKISOFS_BOOT_OPTS)"
ifeq ($(INCLUDE_SOURCE_PACKAGES),1)
	$(MAKE) -C debian-cd src-images CODENAME=$(SUITE) MIRROR=$(PGI_BUILD_MIRROR) MKISOFS_OPTS="$(MKISOFS_OPTS)"
endif

# nothing to do
clean:

# vim:set ai noet sw=8 sts=8 ts=8 tw=0:
