=== doc/Makefile ===
# $Progeny: Makefile,v 1.10 2002/04/22 21:15:18 branden Exp $

doctools=../doctools

GUIDE_FILES=	\
		guide.xml \
		pgi-build.refentry
USERMANUAL_FILES= \
		usermanual.xml

IGNOREFILES=	pgi-build.1 guide.html guide.ps guide.pdf guide.txt \
		usermanual.txt usermanual.html usermanual.ps usermanual.pdf

all: .cvsignore pgi-build.1 guide.html guide.txt usermanual.html usermanual.txt

guide.html: ${GUIDE_FILES}
usermanual.html: ${USERMANUAL_FILES}

validate: validate-guide validate-usermanual

validate-guide:
	$(call validate,guide.xml)

validate-usermanual:
	$(call validate,usermanual.xml)

clean:

maintainer-clean:
	rm -f *.1

.PHONY: all validate validate-guide validate-manual clean maintainer-clean

include ${doctools}/docbook.mk

# vim:set ai noet sw=8 sts=8 ts=8 tw=0:
