=== user-configlet/Makefile ===
.POSIX:

# $Progeny: Makefile,v 1.3 2002/04/22 21:29:14 branden Exp $

# XXX: This is only temporary; autoconfiscation is needed for i18n anyway.

prefix=		/usr
datadir=	${prefix}/share
cfgletsdir=	${datadir}/configlets
pkgcfgletsdir=	${cfgletsdir}/user

INSTALL=	/usr/bin/install
INSTALL_DATA=	${INSTALL} -c -m 444 -o root -g root
INSTALL_DIR=	${INSTALL} -d -m 755 -o root -g root
INSTALL_MODULE=	${INSTALL_DATA}

DATA_FILES=	\
		main.glade \
		user.xpm
PYTHON_FILES=	main.py

all: ${DATA_FILES} ${PYTHON_FILES}

install: ${DATA_FILES} ${PYTHON_FILES}
	${INSTALL_DIR} ${DESTDIR}${pkgcfgletsdir}
	for i in ${DATA_FILES}; do\
		${INSTALL_DATA} $${i} ${DESTDIR}${pkgcfgletsdir}/$${i};\
	done
	for i in ${PYTHON_FILES}; do\
		${INSTALL_MODULE} $${i} ${DESTDIR}${pkgcfgletsdir}/$${i};\
	done

# vim:set ai noet sw=8 sts=8 ts=8 tw=0:
