=== debian/changelog ===
pgi (0.9.6.3) unstable; urgency=high

  * High-urgency upload due to DFSG issues.
  * Preliminary PowerPC architecture support, care of Jimmy Kaplowitz.  I fixed
    some comments and added Progeny keywords but this is essentially his work.
    (branden)
  * archive/Makefile:
    - define a no-op clean rule for the sake of the pgi-build clean change
      (see below) (branden)
  * busybox.h:
    - Turn off a bunch of busybox features in the live filesystem that
      we weren't using (we're using GNU ls and GNU sed, etc.). (branden)
    - Include busybox ls and more in the initrd; they cost only 4kB and
      greatly reduce the pain and frustration of working with the installer when
      the live fs can't be found (or has been unmounted). (branden)
  * debian/postrm:
    - Added postrm script to scrub /etc/pgi directory on purge. (branden)
      (Closes: #143792)
  * debian/rules:
    - stop shipping out-of-date RELNOTES file (branden)
  * doc/guide.xml:
    - New chapter: "Determining Package Placement on the Installer Media"
      (branden)
    - Document building system's requirement of loopback filesystem support.
      (branden)
    - Document target system's requirement of RAM disk and Initial RAM disk
      support. (branden)
    - Added "Packet Socket" to name of "Berkeley packet address family", since
      the former is what Configure.help calls it, and at least one person
      expressed confusion about this. (branden)
  * examples/configlets/do-apt-cdrom:
    - Center dialogs. (branden)
    - Display error dialogs if our apt and dpkg tricks fail. (branden)
    - Exit with a status of 1 if our apt and dpkg tricks fail. (branden)
    - Call the media "discs", not "CDs".  (DVD-ROM, anyone?) (branden)
  * examples/configlets/extra_packages:
    - Install xloadimage as part of the configlets flavor. (branden)
    - Also install xfonts-{75dpi,scalable}. (branden)
  * examples/configlets/fvwm2rc:
    - Configure fvwm to decorate transient window and (hopefully) use a
      better looking default font. (branden)
    - Force the DeskTopSize to 1x1. (branden)
  * examples/configlets/options:
    - Removed.  What the configlets need is now in woody and there are
      no other differences between this and the stock options file. (branden)
  * examples/configlets/postinst.sh:
    - Ensure that /etc/configlets is a directory, and install fvwm2rc,
      root_window.png, and root_window.xbm to it. (branden)
  * examples/configlets/xinitrc:
    - Don't run gnome-tasksel if do-apt-cdrom fails. (branden)
    - Set the X cursor to the wristwatch icon when starting, and try to set
      the root window to an image, if one is available. (branden)
  * images/{i386,ia64,powerpc}:
    - Use the --backup=numbered argument to mv when putting the ISO images in
      place. (branden)
    - (i386 only) Expand @PGI_VERSION@ when processing the syslinux text
      files. (branden)
  * images/i386/syslinux.screen08.txt.in:
    - Report PGI version on syslinux screens. (branden) (Closes: #143887)
  * {options,examples/configlets/options}:
    - Define the INITRD_FS and INITRD_FS_SIZE variables here (in the "private"
      section). (branden)
  * pgi-build:
    - Document the -P | --pgi-http-proxy option in pgi-build's usage message.
      (branden)
    - Define whether or not an architecture is experimental in pgi-build.
      Ordinarily this would go in the options file, but I think the package
      maintainer should have control over whether an architecture is considered
      experimental or not. (branden)
    - Store command line in a variable for later writing to generated
      ISO images. (branden)
    - Clean using the Makefiles' clean rules instead of the rm -r approach.
      (Closes: #142705)
  * python/pgi/base.py:
    - The test described in revision 1.55 was backwards, and so wasn't
      happening.  After discussion with Eric, disabling the writing of
      sources.list in Stage 1 entirely.  Eric points out that it's a Stage 2
      job; for instance, base-config will clobber what we write no matter
      what, and configlets will have apt.conf one day soon. (branden)
    - Write trailing newlines to the initrd's /etc/fstab file. (branden)
    - When running debootstrap, delete PYTHONHOME from the environment
      altogether instead of setting it to null. (branden)
    - Force the exclusion of lilo from debootstrap's package list.  lilo is
      extremely evil and does this unconditionally in its postinst:
        /usr/sbin/liloconfig < /dev/tty
      (branden)
  * stage0/Makefile:
    - Major overhaul and cleanup.
      + Remove old, unneeded variables, ifdefs, and rules.
      + Reorder the rules to make more sense.
      + Don't overwrite modules.dep files in the building system's
        /lib/modules even though depmod's design is so brain-dead that
        it's really tempting to do so.
      + More of my $@.tmp stuff to handle cases where a target may exist
        before we're done manipulating it.  (This way, it doesn't.)
      + Make the clean rule actually do something useful.
      + Comment every rule of interest.
      + Stop defining INITRD_FS and INITRD_SIZE here, and
        s/INITRD_SIZE/INITRD_FS_SIZE/.
      (branden)
  * stage0/mkinitrd:
    - Reworked how we get kernel modules onto the initrd a little bit:
      Move the copying of kernel modules to be the very last thing we do to
      the initrd.  Use du -ks to see how much space is actually taken up on
      it.

      Then, for non-i386 architectures, subtract actual consumed space from
      the capacity of the initrd, and pass that figure to reducemodules.py.

      For SYSLINUX i386, our initrd is extremely limited in size, because we
      have to squeeze it into a 2.88 floppy image.

      Assume that gzip -9 can get us down to 60% of our original size, on
      average.  Experimentation on actual kernel modules reveals that gzip
      does a little better than this.  With all the text files on the initrd,

