=== debootstrap/debian/changelog ===
debootstrap (0.1.17) unstable; urgency=high

  * Includes changes from NMUs. Thanks to Stefan Gybas and Eduard Bloch.
    (Closes: Bug#130764, Bug#135676, Bug#134306, Bug#133882, Bug#131768,
    Bug#117980, Bug#133298, Bug#130668, Bug#111175, Bug#131147, Bug#95143,
    Bug#130482)

  * Don't use PIPESTATUS to work out if wget succeeded, since that's a
    bashism and we're seriously not allowed bashisms. Duh. This should
    help with all those "Malformed release" problems. Thanks to Phil
    Blundell and Chris Tillman for spotting this. (Closes: Bug#136729)

  * Apply patch from Matt Zimmerman to get rid of some irritating warnings
    that can show up sometimes due to sed getting it's output stream closed
    on it. (Closes: Bug#131478)

  * Don't use "export foo=bar" on a single line since it's a bashism.
    (Closes: Bug#138187)

  * Made the "smallyes" usage independent of --boot-floppies. Too much
    code duplication otherwise.

  * Install ipchains on arches that have 2.2.x kernels by default, and
    iptables on arches that have 2.4.x kernels by default. Some arches
    have both. (Closes: Bug#134478)

  * Don't rm malformed Release files, rename them to something obvious
    instead so people can have a hope at seeing what's going on. (Closes:
    Bug#131756)

  * Error out on missing entries in Release files. (Closes: Bug#136886)

  * Fix basedeb creation to not bother building devices tarball. (Closes:
    Bug#137243)

  * Workaround for ldconfig no longer needed, so removed. (Closes: Bug#135819)
  * Workaround for /dev/initctl was never needed and stupid, so removed.

  * Make sure devices.tar.gz is gzip -9'ed. (Closes: Bug#136687)

  * Use any "main" components found in Release file, eg "main",
    "non-US/main", "local/main". (Closes: Bug#116801)

  * Add parted to base for ia64. (Closes: Bug#138246)

  * Moved the "successful!" message and sleep hack for boot-floppies from
    the woody script to the debootstrap script itself.

 -- Anthony Towns <aj@azure.humbug.org.au>  Thu, 14 Mar 2002 18:28:24 +1000

debootstrap (0.1.16.4) unstable; urgency=low

  * NMU, needed for boot-floppies 3.0.20
  * Added cciss and ataraid device files, closes: #135675
  * Applied the patch from Matt Zimmermann to fix --include, closes: #134306
  * Mail suppression fixed in previous release, closes: #133882

 -- Eduard Bloch <blade@debian.org>  Sun,  3 Mar 2002 12:21:19 +0100

debootstrap (0.1.16.3) unstable; urgency=low

  * non-maintainer-upload
  * require newer makedev, fixes build problems on m86k and arm
  * unsets $TMP, $TEMP and $TMPDIR in the beginning, closes: #131768, #117980
  * added gcc-2.96-base to ia64's required packages list, closes: #133298

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Feb 2002 19:30:47 +0100

debootstrap (0.1.16.2) unstable; urgency=low

  * non-maintainer-upload
  * added modification suggested by Branden Robinson and Matt Kraai terminate
    cat (now tail) better, closes: #130668
  * provides options to install additional packages, or exclude some from the
    list. May be needed in boot-floppies soon. Closes: #111175, #131147
  * --verbose option, closes: #95143
  * added additional devices to the device list, especially input and usb
    needed for modern device drivers (Joysticks, USB, Scanners)
  * added pppoeconf to the packages list, better choice for DSL users
  * forced remove of dev/initctl, prevents breaking on re-installation

 -- Eduard Bloch <blade@debian.org>  Mon, 28 Jan 2002 19:14:41 +0100

debootstrap (0.1.16.1) unstable; urgency=high

  * non-maintainer upload for boot-floppies 3.0.19
  * Fixed list of base and required packages for s390
  * setup_devices(): don't fail if devices.tar.gz is not present and we
    are using devfs
  * disable handling of /dev/initctl for boot-floppies, closes: #130482

 -- Stefan Gybas <sgybas@debian.org>  Thu, 24 Jan 2002 15:17:42 +0100

debootstrap (0.1.16) unstable; urgency=low

  * Include NMUs 0.1.15.1 - .9, thanks to Adam di Carlo, Ethan Benson and
    Bdale Garbee. (Closes: Bug#113265, Bug#119314, Bug#119251)
  * Many bugs were fixed in the NMUs. Closes them properly. (Closes:
    Bug#89673, Bug#97174, Bug#99229, Bug#105980, Bug#106062, Bug#106102,
    Bug#106106, Bug#106134, Bug#106711, Bug#106877, Bug#107262,
    Bug#107404, Bug#107447, Bug#109670, Bug#110312, Bug#111001,
    Bug#111065, Bug#112778, Bug#112795, Bug#112842, Bug#113444,
    Bug#114056, Bug#114653, Bug#115467, Bug#115481, Bug#115557,
    Bug#115581, Bug#115699, Bug#116061, Bug#116424, Bug#119769,
    Bug#119947, Bug#121724, Bug#123958, Bug#125954, Bug#126018,
    Bug#126630, Bug#126799)

  * Informative error for people who type `--boot-floppies' when running
    by hand. (Closes: Bug#107548)
  * Create dev/initctl in target, and setup a cat process to dump anything
    sent to it to /dev/null so that if init is run in the chroot,
    it doesn't try doing anything too clever to talk to the real
    init. (Closes: Bug#120597)
  * Create awk symlink since base-files insists on having it available.
    (Closes: Bug#127934)

  * Use DEBOOTSTRAP_DIR to work out where /usr/lib/debootstrap is.
  * So, in theory, to create basedeb tarballs, you should be able to unpack
    the source and say:
    .
        fakeroot debian/rules binary-basedebs SUITE=woody VERSION=3.0 \
            MIRROR="http://ftp.debian.org/debian" ARCHES="i386 powerpc"
    (Closes: Bug#127546)

 -- Anthony Towns <aj@azure.humbug.org.au>  Sun, 20 Jan 2002 21:04:37 +1000

debootstrap (0.1.15.9) unstable; urgency=high

  * non-maintainer upload
  * debian/rules: new 'basedebs' target that makes basedebs.tgz and 1.44
    split images for base per arch
  * functions: better return value handling during wget (wgetprogress)
  * repeat() had a useless eval, removed, which simplifies some silly
    quoting
  * incorrect error message in in_target_msg(), closes: #119769
  * debian/changelog: remove obsolete "local variables"

