=== debian/control ===
Source: pgi
Section: admin
Priority: extra
Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
Build-Depends: debhelper (>= 3.0.0), docbook-xml, docbook-dsssl, docbook-to-man, jade, opensp, html2text, links
Standards-Version: 3.5.6

Package: pgi
Architecture: i386 ia64 powerpc
Depends: build-essential, busybox-source-0.60.0, libc6-pic | glibc-pic, libdigest-md5-perl, debootstrap (>= 0.1.17), makedev (>= 2.3.1-58), mkisofs, modutils, sudo, ash, discover (>> 1.0), discover-data (>= 1.2002.03.19), net-tools, udhcpc, binutils, curl, dialog, dnsutils, dosfstools (>= 2.8-1), dpkg (>= 1.9.19), etherconf (>= 1.7), fdutils, file, gawk, gnupg, gtk-engines-raleigh, host | bind9-host, less, lynx, mdetect, mtools, netcat, nvi, parted, patch, pciutils, netkit-ping | ping, procps, psmisc, rcs, rxvt (>= 1:2.6.4-2), ssh, strace, traceroute, wget, xbase-clients, xserver-xfree86, xfonts-base, xfonts-100dpi, xloadimage, xterm, python2.1, python-glade, python-gnome, python-parted (>> 0.10), ${F:Arch-Depends}
Recommends: kernel-image-2.2.20 | kernel-image, pcmcia-modules-2.2.20 | pcmcia-modules, pcmcia-cs
Description: Progeny graphical installer creation system
 This package contains PGI, a multi-architecture graphical installer creation
 system for Debian GNU/Linux originally developed by Progeny Linux Systems,
 Inc., for their Debian-based "Progeny Debian" operating system.
 .
 This package enables the user to create ISO images containing a bootable
 installer (PGI) which guides the user through the steps of installation.  The
 installer supports text and graphical installation modes.  PGI runs
 debootstrap to install a minimal Debian system to the target filesystem(s),
 sets up a boot loader (if the installing user requests), and uses the
 pivot_root() system call to "boot" into the installed system.  ISO images may
 be generated with complete or partial Debian package archives, or with the
 the installer only (useful for network-only installs, which PGI supports.)
 .
 PGI is extensible and customizable.  Two example extensions are provided with
 this package; one uses the base-config package, while the other configures
 the installed system using the X-based Configlet system.
 .
 Two manuals are provided as part of this package.  "Creating Debian
 Installers with PGI" documents the setup and configuration of a PGI-based
 installer ISO in detail.  "Using the PGI Debian Installer" is an example of a
 PGI user's manual.  Those creating custom installers with PGI will want to
 update the user's manual for their target audience.
