=== debootstrap/debian/control ===
Source: debootstrap
Section: admin
Priority: extra
Maintainer: Anthony Towns <ajt@debian.org>
Build-Depends: debhelper (>> 2.0.0), makedev (>= 2.3.1-58)
Standards-Version: 3.2.1

Package: debootstrap
Architecture: any
Depends: ${shlibs:Depends}, wget
Description: Bootstrap a basic Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.
